class Convert {
  public static String convert(int num) {
    StringBuilder sb = new StringBuilder();

    boolean negative = num < 0;
    num = Math.abs(num);

    while (num > 0) {
      sb.append(num % 2);
      num /= 2;
    }

    if (negative) {
      sb.append('-');
    }

    return sb.reverse().toString();
  }

  public static void main(String[] args) {
    System.out.printf("4: %s\n", convert(4));
    System.out.printf("59: %s\n", convert(59));
    System.out.printf("-3: %s\n", convert(-3));
  }
}